# eoSteadyFitContinue< EOT > Class Template Reference

A continuator: does a minimum number of generations, then stops whenever a given number of generations takes place without improvement. More...

`#include <eoSteadyFitContinue.h>`

Inheritance diagram for eoSteadyFitContinue< EOT >:

List of all members.

## Public Types

typedef EOT::Fitness | Fitness

## Public Member Functions

| eoSteadyFitContinue (unsigned long _minGens, unsigned long _steadyGens)
| Ctor for setting a.
| eoSteadyFitContinue (unsigned long _minGens, unsigned long _steadyGen, unsigned long &_currentGen)
| Ctor for enabling the save/load the no. of generations counted.
virtual bool | operator() (const eoPop< EOT > &_vEO)
| Returns false when a certain number of generations is reached withtout improvement.
virtual void | totalGenerations (unsigned long _mg, unsigned long _sg)
| Sets the parameters (minimum nb of gen.
virtual void | reset ()
| Resets the state after it's been reached.
virtual unsigned long | minGenerations ()
| accessors
virtual unsigned long | steadyGenerations ()
virtual std::string | className (void) const

## Private Attributes

unsigned long | repMinGenerations
unsigned long | repSteadyGenerations
bool | steadyState
unsigned long | thisGenerationPlaceHolder
unsigned long & | thisGeneration
unsigned int | lastImprovement
Fitness | bestSoFar

## Detailed Description

### template<class EOT>
class eoSteadyFitContinue< EOT >

A continuator: does a minimum number of generations, then stops whenever a given number of generations takes place without improvement.

Definition at line 35 of file eoSteadyFitContinue.h.

## Member Function Documentation

template<class EOT>
virtual void eoSteadyFitContinue< EOT >::totalGenerations | ( | unsigned long | _mg,
|  | unsigned long | _sg
| ) | `[inline, virtual]`

| Sets the parameters (minimum nb of gen. + steady nb of gen.) and sets the current generation to 0 (the begin) Definition at line 84 of file eoSteadyFitContinue.h. References eoSteadyFitContinue< EOT >::reset().

The documentation for this class was generated from the following file:

- eoSteadyFitContinue.h